{
	"name": "table/external/odoo/common/attachment-document.json",
	"info": "mrp_document links to ir_attachment",
	"table_name": "ir_attachment",
	"odoo_model": "ir.attachment",
	"table_prefix": "att",
	"record_type": ["document"],
	"local_table": "attachment",
	"local_record_type": "document",
	"field": [
		{
			"info": "Access Token",
			"field_name": "access_token",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Checksum/SHA1",
			"field_name": "checksum",
			"local_field": "",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"info": "Company",
			"field_name": "company_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "File Content (base64)",
			"field_name": "datas",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "Database Data",
			"field_name": "db_datas",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "Description",
			"field_name": "description",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Document",
			"field_name": "document_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "File Size",
			"field_name": "file_size",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "record_id",
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "Image Height",
			"field_name": "image_height",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Image Src",
			"field_name": "image_src",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Image Width",
			"field_name": "image_width",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Indexed Content",
			"field_name": "index_content",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Key",
			"field_name": "key",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Attachment URL",
			"field_name": "local_url",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Mime Type",
			"field_name": "mimetype",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Name",
			"field_name": "name",
			"local_field": "name",
			"field_type": "varchar"
		},
		{
			"info": "Original (unoptimized, unresized) attachment",
			"field_name": "original_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Is public document",
			"field_name": "public",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "File Content (raw)",
			"field_name": "raw",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "Resource Field",
			"field_name": "res_field",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Resource ID",
			"field_name": "res_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one_reference",
			"json_tag": "[1]"
		},
		{
			"info": "Resource Model",
			"field_name": "res_model",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Resource Name",
			"field_name": "res_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Stored Filename",
			"field_name": "store_fname",
			"local_field": "document_path",
			"field_type": "varchar"
		},
		{
			"info": "Theme Template",
			"field_name": "theme_template_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Type\nYou can either upload a file from your computer or copy/paste an internet link to your file.",
			"field_name": "type",
			"local_field": "attachment_type",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Url",
			"field_name": "url",
			"local_field": "",
			"field_type": "varchar",
			"field_length": 1024
		},
		{
			"info": "Voice",
			"field_name": "voice_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Website",
			"field_name": "website_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
